1.12
--------------------------------------------------------------------------------
[Aufgabe][Export]                            Caching in "isys_export_helper" ein/ausschaltbar machen
[Verbesserung][Check_MK]                     Check_MK Add-onisieren
[Verbesserung][Update]                       Warnmeldung bei Update unter PHP 5.6 oder 7.0
[Verbesserung][JEDI/Jdisc]                   JDisc: Optionaler Scann von Geräten via "IP/FQDN"
[Verbesserung][Webserver-Konfiguration]      Veraltete URL-Rewrite-Regeln entfernen
[Verbesserung][Webserver-Konfiguration]      Einstellungen bezogen auf Apache-Version 2.2 aus .htaccess-Dateien entfernen
[Verbesserung][Webserver-Konfiguration]      PHP-Einstellungen aus .htaccess-Datei entfernen
[Verbesserung][Webserver-Konfiguration]      Einstellung "FollowSymlinks" aus .htaccess-Datei entfernen
[Verbesserung][Webserver-Konfiguration]      Zusammenfassen aller .htaccess-Dateien zu einer Datei
[Verbesserung][Benutzerdefinierte Kategorien]Attribute sollen per Option "ApiOnly" über die GUI nicht veränderbar sein
[Verbesserung][Benutzerdefinierte Kategorien]Neuer Feld-Typ für die benutzerdefinierten Kategorien
[Verbesserung][LDAP]                         LDAP: Login-Sync optional mittels Sync-Benutzer statt i-doit Benutzer
[Verbesserung][API]                          Einbettung von "?load=api_properties" in die i-doit Konfiguration
[Verbesserung][Suche]                        Erneuerung des Suchindex über die Oberfläche
[Verbesserung][Console]                      Command zur Befüllung von dynamischen Gruppen
[Verbesserung][Code]                         PHP 7.2 Kompatibilität
[Verbesserung][Listeneditierung]             Listeneditierung - Kategorie "Betriebssystem": Auswahl der Variante nicht möglich
[Verbesserung][CMDB]                         Kategorie Hostadresse: Objektbrowser soll nur IPv4 oder IPv6 Netze anzeigen
[Verbesserung][Nagios]                       Nagios Add-onisieren
[Bug][Listeneditierung]                      In der Listeneditierung ist in der Kategorie Hostadresse das Feld Adresservegabe nicht verfügbar
[Bug][Listeneditierung]                      Listeneditierung: Die Kategorie Dateizuweisung verfügbar machen
[Bug][Listeneditierung]                      Werte für Kategorien sollen für alle Objekte übernommen werden, die über Daten in der Kategorie verfügen
[Bug][Listeneditierung]                      Listeneditierung nicht mehr verfügbar
[Bug][Listeneditierung]                      Listeneditierung wird beim Klick auf Objekttyp-Konfiguration zurückgesetzt
[Bug][Listeneditierung]                      Die Standortvorschläge unter Listeneditierung sind hinter anderem Element versteckt
[Bug][Listeneditierung]                      Darstellung der Icons in Listeneditierung korrigieren
[Bug][Listeneditierung]                      Bei der Listeneditierung MUSS man eine Auswahl bei Ja/Nein Feldern treffen
[Bug][Listeneditierung]                      Attribut Adressvergabe (Kategorie Hostadresse) nicht in Listeneditierung verfügbar
[Bug][Listeneditierung]                      Attribut "Versionsnummer (Patchlevel)" fehlt in Listeneditierung der Kategorie "Softwarezuweisung"
[Bug][Listeneditierung]                      Listeneditierung: Kategorie "Lokaler Massenspeicher" und Subkategorien fehlen
[Bug][Listeneditierung]                      Listeneditierung der Kategorie "SLA" funktioniert nicht
[Bug][Check_MK]                              Trennung von Check_MK und Check_MK 2.0 Inhalten
[Bug][Listen]                                Attribute der Kategorie "Speicher" können nicht in die Listenansicht aufgenommen werden
[Bug][Listen]                                Eindeutiges Verhalten für Filtervorschläge in Objektlisten implementieren
[Bug][Listen]                                Multi-Value-Kategorien nehmen auf der Übersichtsseite generell viel Platz ein, selbst, wenn nur ein Eintrag existiert
[Bug][Listen]                                Editieren Button fehlt in den Templates von Massenänderungen
[Bug][JEDI/Jdisc]                            Probleme, den JDisc Webservice zu verwenden
[Bug][JEDI/Jdisc]                            JDISC: Filtern nach logischen Ports fehlerhaft
[Bug][JEDI/Jdisc]                            JDisc: Fehlerhafte Cluster Zuweisung bei Gastsystemen
[Bug][JEDI/Jdisc]                            JDisc-Import: Betriebssystem-Lizenzen werden bei einem Import nicht zugewiesen
[Bug][Workflows]                             Nach Installation des Workflow Add-Ons unter i-doit 1.12 erscheint bei Zugriff auf's Add-On nur eine leere Seite
[Bug][Objekte]                               Bei der Erstellung von neuen Clients wird ein Speichermodul erstellt sofern auf der Übersichtsseite die Kategorie Speicher aufgeführt wird
[Bug][Objekte]                               Subkategorie "gastsysteme" der Kategorie "Virtueller Host" führt eine gemischte Zuweisung zu inkonsistente Ansicht
[Bug][CMDB Einstellungen]                    Allgemeine-Einstellungen: Standardwert "Änderungskommentar"
[Bug][CMDB Einstellungen]                    Sortierung im Dialog-Admin nach Bearbeiten nicht möglich
[Bug][Export]                                XML-Export über Export Wizard wird fehlerhaft generiert und nicht angezeigt
[Bug][Beziehungen]                           Datenbankfehler bei Auswahl von Beziehungen beheben
[Bug][Beziehungen]                           Objekttyp als Beziehungsmaster setzt nur Beziehungen, die keine fest definierte Richtung haben
[Bug][Update]                                i-doit Update sollte lediglich der Admin-Gruppe gestattet sein
[Bug][Update]                                Behebe Warnung über unerwartete Parameter während eines Updates
[Bug][Import]                                CSV-Import: Leeren von Datumsfeldern nicht möglich
[Bug][CMDB]                                  "Counter"-Platzhalter ist für die Bezeichnung bei Anlage von Anschlüssen nicht verfügbar
[Bug][CSV]                                   CSV-Import: Mehrere Kontaktzuweisungen  in Modus "Spalte" mit verschiedenen Objekttypen führt zu Fehlern
[Bug][Code]                                  Speicher Passwörter ohne Bereinigung
[Bug][Code]                                  Kompatibilität zu Mobile Browser
[Bug][Kategorien]                            Erstellung von Eintrag in "Betriebssystem"-Kategorie erstellt zwei Einträge
[Bug][Kategorien]                            Falscher Property-Type für Attribut "Personen > Stammdaten > Anrede"
[Bug][Kategorien]                            Fehlerhafte Informationen in der Druckansicht zu IP-Listen
[Bug][Kategorien]                            Druckansicht für IP-Liste unsortiert
[Bug][Kategorien]                            Personen: "Firma" ist nach dem Speichern nicht in Stammdaten zu sehen
[Bug][Kategorien]                            Attribut Suchdomäne aus der Kategorie Hostadresse wird bei der Objekt Duplizierung nicht mit übernommen
[Bug][Kategorien]                            Sortierungen im Standortbaum und Standortrequester
[Bug][Kategorien]                            Rolle Hinzufügen unter Personengruppen Zugewiesene Objekte
[Bug][Kategorien]                            Objektbrowser listet im Objektbrowser erstellte Objekte erst nach Refresh/Ansichtswechsel
[Bug][Kategorien]                            Schrankansicht in Kategorie Schränke fehlerhaft
[Bug][Kategorien]                            Anlegen von Anschlüssen nicht möglich, wenn die Allgemeine Einstellung "Änderungskommentar deaktivieren" deaktiviert ist
[Bug][Kategorien]                            Falsche Sortierung in Kategorie "Zugewiesene Objekte"
[Bug][Installation]                          Pfad "/upload/files/" wird bei Installation nicht angelegt
[Bug][Installation]                          Empfehlung für PHP-Version auf 7.2 erweitern
[Bug][LDAP]                                  LDAP: falsche prüfung der Funktionen
[Bug][LDAP]                                  LDAP: TLS- und STARTTLS ignoriert definierten Port
[Bug][Report-Manager]                        Fehlende Formatierung in der Ausgabe von Reports
[Bug][Report-Manager]                        Verwendung von Stammdaten Vorname im Reportmanager führt zu Fehlermeldung
[Bug][Systemeinstellungen]                   Systemtools: Man kann die Admin etc. Gruppen durch die Systemtools löschen
[Bug][Systemeinstellungen]                   Icons werden nicht geladen wenn ein Proxy Server verwendet wird
[Bug][Suche]                                 Suche: Objekte aus Templaterstellung werden nicht indexiert
[Bug][Validierung]                           Validierung Allgemein Kategorie Bezeichnung als Pflichtfeld setzen führt zu Anzeigefehlern bei der Verwendung von Objekt Standard Templates
[Bug][Dashboard]                             Widget: Darstellung vieler Lesezeichen führt zu einer korrupten Ansicht
[Bug][Benutzerdefinierte Kategorien]         Performance von Kategorielisten sinkt bei vielen Dialog-Plus Einträgen
[Bug][Webserver-Konfiguration]               Log-Dateien dürfen nicht via Webserver erreichbar sein
[Bug][Benutzereinstellungen]                 Button zum Zurücksetzen der Spaltenkonfiguration für Kategorielisten setzt immer auf den Auslieferungszustand zurück
[Bug][API]                                   API: Übergibt man eine ID als String ist es möglich das die falsche Daten übernommen werden
[Änderung][Performance]                      Verbesserte Performance für Kategoriebaum bei benutzerdefinierten Kategorien mit Report
--------------------------------------------------------------------------------
1.12 (English)
--------------------------------------------------------------------------------
[Task][Export]                               Caching in "isys_export_helper" should be switchable
[Improvement][Check_MK]                      Add-onize Check_MK
[Improvement][Update]                        PHP warning when updating
[Improvement][JDisc]                         JDisc: Optional device scan via "IP/FQDN"
[Improvement][Configure Apache HTTPD, PHP & Co.]Remove out-dated URL rewrite rules
[Improvement][Configure Apache HTTPD, PHP & Co.]Remove Apache 2.2 related settings from .htaccess files
[Improvement][Configure Apache HTTPD, PHP & Co.]Remove PHP settings from .htaccess file
[Improvement][Configure Apache HTTPD, PHP & Co.]Remove setting "FollowSymlinks" from .htaccess file
[Improvement][Configure Apache HTTPD, PHP & Co.]Combine all .htaccess files to one
[Improvement][Custom categories]             Attributes  should be changeable by api only over new option "ApiOnly"
[Improvement][Custom categories]             New field type for custom categories
[Improvement][LDAP]                          LDAP: Login-Sync optionally by sync user instead of i-doit user
[Improvement][API]                           Embedding of "?load=api_properties" into i-doit configuration
[Improvement][Search]                        Renewing search index via user interface
[Improvement][Console]                       Command for filling dynamic groups
[Improvement][Code (internal)]               Compatibility with PHP 7.2
[Improvement][List editing]                  List edit - category 'Operating system': Cannot select variants
[Improvement][CMDB]                          Category hostaddress: objectbrowser should show either IPv4 or IPv6 networks
[Improvement][Nagios]                        Add-onize Nagios
[Bug][List editing]                          List edit for category host address misses the attribute "address allocation"
[Bug][List editing]                          List edit: Enable category file assignment
[Bug][List editing]                          Apply values for categories of all objects that already contain data in that particular category
[Bug][List editing]                          List editing is not available anymore
[Bug][List editing]                          List edit is reset when clicking on Object type configuration
[Bug][List editing]                          the Location Suggestion in the List edit are hidden behind  Element
[Bug][List editing]                          Fix icons in list editing
[Bug][List editing]                          When editing lists you MUST make a selection at Yes/No Fields
[Bug][List editing]                          Attribute Address allocation (Category Host address) not available in list edit
[Bug][List editing]                          Attribute 'Version number (patchlevel)' not available in list edit of category 'Software assignment'
[Bug][List editing]                          List edit: Category "Local mass storage" and subcategories are missing
[Bug][List editing]                          Cannot use the list edit on category "SLA"
[Bug][Check_MK]                              Separation of Check_MK and Check_MK 2.0 content
[Bug][Lists]                                 Attributes from category "storage" can not be selected for view in object lists
[Bug][Lists]                                 Implement consistent behaviour for filter suggestions in object lists
[Bug][Lists]                                 Multi value categories claim a bigger amount of space than needed, even if there is only one entry
[Bug][Lists]                                 Edit button is missing in the templates of mass changes
[Bug][JDisc]                                 Problems using the JDisc webservice
[Bug][JDisc]                                 JDISC: Filtering for logical ports failed
[Bug][JDisc]                                 JDisc: Bad cluster assignment on guest systems
[Bug][JDisc]                                 JDisc Import: Operating system licenses are not assigned during an import
[Bug][Workflows]                             Empty page is shown after accessing the workflow add-on in i-doit 1.12
[Bug][Objects]                               When new clients are created, a memory module is first created when category memory is shown on overview
[Bug][Objects]                               Subcategory "guest systems" of category "virtual host" performs a mixed assignment to inconsistent view
[Bug][CMDB settings]                         General settings: Default value "Disable logbook commentary"
[Bug][CMDB settings]                         Sorting in dialogue admin after editing not possible
[Bug][Export]                                Export Wizard generates broken XML export that cannot be displayed
[Bug][Relations]                             Fix database error when choosing a relationship
[Bug][Relations]                             Object type as relationship master only sets relations that do not have a fixed direction
[Bug][Update]                                i-doit update should only be accessible for members of admin group
[Bug][Update]                                Fix warnings about unexpected parameters during an update
[Bug][Import]                                CSV-Import: Writing empty values into date fields not possible
[Bug][CMDB]                                  "Counter" placeholder is not available for title definition while creation of connectors
[Bug][CSV]                                   CSV-Import: Multiple contact assignments in mode "row" with different object types leads to errors
[Bug][Code (internal)]                       Save passwords without cleanup
[Bug][Code (internal)]                       Compatibility with Mobile Browser
[Bug][Categories]                            Creation of entry in "Operating system" category creates two entries
[Bug][Categories]                            Wrong property type for attribute "Persons > Master data > Salutation"
[Bug][Categories]                            Wrong information in print view of IP lists
[Bug][Categories]                            Print view for ip list not sorted correctly
[Bug][Categories]                            Persons: company isn't visible in core data after saving
[Bug][Categories]                            Attribute Search Domain from the Host Address category is not included while duplicating an object
[Bug][Categories]                            Sorting in the site tree and site requester
[Bug][Categories]                            add role by person group assigned objects
[Bug][Categories]                            Object browser lists objects, created in object browser, only after refres/change of view
[Bug][Categories]                            Rack view in category racks buggy
[Bug][Categories]                            Creating connectors not possible when change comment is active
[Bug][Categories]                            Wrong sorting in category "assigned objects"
[Bug][Installation]                          Path "/upload/files/" is not created during the installation
[Bug][Installation]                          Extend recommendation for PHP version to  include 7.2
[Bug][LDAP]                                  LDAP: wrong check of functions
[Bug][LDAP]                                  LDAP: TLS- and STARTTLS ignores user defined port
[Bug][Report-Manager]                        Missing formatation in report output
[Bug][Report-Manager]                        Usage of name in Reports leads to an error
[Bug][System settings]                       System Tools: You can delete the Admin etc. Delete groups using the system tools
[Bug][System settings]                       Icons are not loaded when a proxy server is used
[Bug][Search]                                Search: Templated objects are not indexed
[Bug][Validation]                            Validation for object-title and use of templates produce display errors
[Bug][Dashboard]                             Widget: Appearance of many bookmarks leads to a corrupt view
[Bug][Custom categories]                     Performance of category lists drops with many Dialog-Plus entries
[Bug][Configure Apache HTTPD, PHP & Co.]     Deny access to log files via Web server
[Bug][User settings]                         Button to reset settings of category list does always reset configuration to default settings from rollout
[Bug][API]                                   API: Providing ID`s as string leads to wrong identification of dialog entry
[Change][Performance]                        Improved performance for category tree when displaying custom categories with reports
--------------------------------------------------------------------------------
